gnutls_heartbeat_get_timeout(3)

NAME
gnutls_heartbeat_get_timeout - API function

SYNOPSIS
#include <gnutls/gnutls.h>

unsigned int gnutls_heartbeat_get_timeout(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

DESCRIPTION
This function will return the milliseconds remaining for a retransmission of the previously sent ping message. This function is useful when ping is used in non-blocking mode, to estimate when to call gnutls_heartbeat_ping() if no packets have been received.

RETURNS
the remaining time in milliseconds.

SINCE
3.1.2

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/